
%global meadversion 1.5.4
%global namedversion 1.5.4.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define section free
%define reltag Final
%define namedversion %{version}.%{reltag}-redhat-1

%define maven_version 1.5.4.Final-redhat-1

Name:           jboss-logmanager
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Log Manager
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-logmanager-1.5.4.Final-redhat-1-scm-sources.zip
Source102: jboss-logmanager-1.5.4.Final-redhat-1-javadoc.jar
Source103: jboss-logmanager-1.5.4.Final-redhat-1-sources.jar
Source104: jboss-logmanager-1.5.4.Final-redhat-1.pom
Source105: jboss-logmanager-1.5.4.Final-redhat-1-project-sources.tar.gz
Source106: jboss-logmanager-1.5.4.Final-redhat-1.jar
%endif

URL:            https://github.com/jboss-logging/jboss-logmanager/
# git clone git://git.app.eng.bos.redhat.com/jboss-logmanager.git
# cd jboss-logmanager
# git checkout 1.4.3.Final
# cd ..
# tar -jcf jboss-logmanager-1.4.3.Final.tar.bz2 jboss-logmanager/
%if %without mead
Source0:        jboss-logmanager-1.2.2.GA.tar.bz2
Patch0:         jboss-logmanager-vman-pom.patch
%endif

BuildRequires:  jpackage-utils 

%if %without mead
BuildRequires:  maven2
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-testng
BuildRequires:  maven-source-plugin
BuildRequires:  maven-deploy-plugin

BuildRequires:  jboss-parent
BuildRequires:  jboss-component-management
BuildRequires:	testng
%endif

Requires: jpackage-utils
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss Log Manager.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q -n %{name}
%patch0 -p1

%{_bindir}/find . -name "*.jar" | %{_bindir}/xargs -t %{__rm} -f

sed -i -e "s|<classifier>jdk15<\/classifier>||g" pom.xml
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

mvn-jpp -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
		-Dmaven.test.failure.ignore=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        install deploy:deploy javadoc:javadoc
%endif

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
%if %without mead
install -m 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{namedversion}.jar
install -m 644 target/%{name}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{namedversion}-sources.jar
%else
install -m 644 %{_sourcedir}/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{namedversion}.jar
install -m 644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{namedversion}-sources.jar
%endif

%add_to_maven_depmap org.jboss.logmanager %{name} %{namedversion} JPP %{name}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%if %without mead
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%else
install -m 644 %{_sourcedir}/%{name}-%{namedversion}.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%endif

# javadoc
%if %without mead
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
cp -rf target/site/apidocs/* \
                  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
ln -s %{name}-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%else
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%if %with mead
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-scm-sources.zip 
%{__cp} %{name}/LICENSE.txt ./
%{__rm} -rf %{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Nov 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.4-1.Final_redhat_1.1
- Upgrade to 1.5.4.Final

* Wed Sep 17 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.3-1.Final_redhat_1.1
- Upgrade to 1.5.3.Final

* Wed Sep 17 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.3-1.Final_redhat_1.1
- Upgrade to 1.5.3.Final

* Mon Jan 13 2014 Paul Gier <pgier@redhat.com> - 1.5.2-1.Final_redhat_1.1
- Upgrade to 1.5.2

* Mon Jan 13 2014 Paul Gier <pgier@redhat.com> - 1.5.2-1.Final_redhat_1.1
- Upgrade to 1.5.2

* Mon Jan 13 2014 Paul Gier <pgier@redhat.com> - 1.5.2-1.Final_redhat_1.1
- Upgrade to 1.5.2

* Thu Sep 05 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.5.1-1.Final_redhat_1
- Upgrade to 1.5.1

* Mon Jul 22 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.4.3-1.Final_redhat_1
- Upgrade to 1.4.3

* Thu Feb 14 2013 Tom Hauser <thauser@redhat.com> - 0:1.4.0-1.Final_redhat_1
- Upgrade to 1.4.0 

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.2-2.Final_redhat_1
- Rebuild for MD5

* Sat Aug 25 2012 Hui Wang <huwang@redhat.com> - 0:1.3.2-1.Final_redhat_1
- Upgrade to 1.3.2.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.3.1-1.Final_redhat_2.5
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.1-1.Final_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.1-1.Final_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.1-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.3.1-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Hui Wang <huwang@redhat.com>- 0:1.3.1-1.Final_redhat_1
- Upgrade to 1.3.1.Final

* Fri Mar 09 2012 Fernando Nasser <fnasser@redhat.com>- 0:1.2.2-1.GA_redhat_1.2
- Use the binaries built in MEAD

* Tue Feb 21 2012 Hui Wang <huwang@redhat.com>- 0:1.2.2-1.GA_redhat_1.1
- Upgrade to 1.2.2.GA

* Tue Feb 14 2012 Yong Yang <yyang@redhat.com>- 0:1.2.0-8.GA_redhat_1.1
- Rebuild
- New style wrapper spec

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.2.0-7.GA_redhat_1.1
- Rebuild to use new signing key

* Wed Feb 01 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.0-5.GA_redhat_1.1
- Remove unecessary dependencies

* Tue Jan 31 2012 Yong Yang <yyang@redhat.com> - 0:1.2.0-5.GA_redhat_1
- Latest vman

* Tue Aug 30 2011 Hui Wang <huwang@redhat.com> - 0:1.2.0-5.GA
- Use the latest vman to patch pom
- Remove useless settings and component file

* Fri Aug 19 2011 Yong Yang <yyang@redhat.com> - 0:1.2.0-4.GA
- Rebuild for Werewolf

* Wed Jul 27 2011 Yong Yang <yyang@redhat.com> - 0:1.2.0-3.GA
- Fix sed location

* Wed Jul 27 2011 Yong Yang <yyang@redhat.com> - 0:1.2.0-2.GA
- Add sed to change the version of jboss-parent to fit mead

* Thu Jul 14 2011 Hui Wang <huwang@redhat.com> - 0:1.2.0-1.GA
- Upgrade to 1.2.0.GA

* Wed May 25 2011 Hui Wang <huwang@redhat.com> - 0:1.2.0-0.1.CR7
- Upgrade to 1.2.0.CR7
- Cleanup

* Thu Mar 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.1.2-3
- Fix jboss-parent version

* Wed Mar 23 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.1.2-2.GA
- Fix Version tag

* Tue Feb 15 2011 Weinan Li <weli@redhat.com> - 0:1.1.2.GA-1
- Upgrade to 1.1.2.GA

* Tue Nov 30 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.0-3
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-surefire-provider-testng
- Add sources jar to main and repolib packages

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.0-2.1.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.1.0-2.1
- Rebuild
- Create a depmap entry for testng 

* Fri Aug 28 2009 Martha Benitez <mbenitez@redhat.com> 0:1.1.0-1
- Upgrade to 1.1.0.GA
- Add BR jboss-common-core, testng, maven-surefire
- Add maven.test.failure.ignore=true
- Add pom.xml to repolib

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com>  0:1.0.0-2
- add repolib

* Thu Jun 11 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.0.0-1.jpp5
- first release
